SystemOrganization addCategory: #'SqueakIt-Experiments-RJG'!
SystemOrganization addCategory: #'SqueakIt-Experiments-RJG-Tests'!
SystemOrganization addCategory: #SqueakIt!

TestCase subclass: #RootComponentTest
	instanceVariableNames: 'module html'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SqueakIt-Experiments-RJG-Tests'!

!RootComponentTest methodsFor: 'accessing' stamp: 'RonnieGarduno 1/29/2013 17:32'!
html
	^ html! !

!RootComponentTest methodsFor: 'accessing' stamp: 'RonnieGarduno 1/29/2013 17:32'!
html: anObject
	html := anObject! !

!RootComponentTest methodsFor: 'accessing' stamp: 'RonnieGarduno 1/29/2013 17:32'!
module
	^ module! !

!RootComponentTest methodsFor: 'accessing' stamp: 'RonnieGarduno 1/29/2013 17:32'!
module: anObject
	module := anObject! !

!RootComponentTest methodsFor: 'running' stamp: 'RonnieGarduno 1/29/2013 17:42'!
setUp 
	module := RootComponent new.
	html := WAHtmlCanvas new! !

!RootComponentTest methodsFor: 'tests' stamp: 'RonnieGarduno 1/29/2013 17:33'!
testHasTitle
	self shouldnt: [module title] raise: Error.
	self module renderContentOn: html.
"	self assert: html notNil"! !

!RootComponentTest methodsFor: 'tests' stamp: 'RonnieGarduno 1/29/2013 15:45'!
testSetTitleChanges
	module title: 'testing'.
	self assert: module title = 'testing'.
	module title: 'new'.
	self assert: (module title = 'testing') not.
	self assert: module title = 'new'! !

!RootComponentTest methodsFor: 'tests' stamp: 'RonnieGarduno 1/29/2013 15:43'!
testSetTitleSets
	module title: 'testing'.
	self assert: module title = 'testing'! !

WAFileLibrary subclass: #SILibrary
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SqueakIt'!

!SILibrary methodsFor: 'as yet unclassified' stamp: 'RonnieGarduno 2/7/2013 17:05'!
moduleCss
	^'
	h1{
		color: red;
	}
	#connections{
		text-align: left;
		color: purple;
		background-color: white;
		position: fixed;
		top: 200px;
		left: 15px;
		margin-left: 10px;
		padding-right: 50px;
		padding-top: 50px;
		padding-bottom: 50px;
		padding-left: 20px;
		border-radius: 15px;
		border-width: 3px;
		border-style: solid;
		border-color: #000;
	}
	.text{
		font-size: 14pt;
		text-align: center;
		background-color: white;
		margin: 30px 0px 30px 200px;
		padding: 30px;
		width: 300px;
	}
	.title{
		color: red;
		text-align: left;
		margin-left: 10px;
		position: fixed;
		top: 150px;
		left: 20px;
	}
	.objectives{
		background-color: grey;
		width: 200px;
		height: 125px;
		margin-left: 200px;
		margin-top: 50px;
		margin-bottom: 50px;
		padding-left: 15px;
		text-align: left;
		color: lavender;
		border-width: 2px;
		border-color: black;
		border-style: ridge;
	}
	'! !

!SILibrary methodsFor: 'as yet unclassified' stamp: 'RonnieGarduno 2/7/2013 16:09'!
selectorsToInclude 
	^ #( moduleCss )
	! !

WAComponent subclass: #RootComponent
	instanceVariableNames: 'title'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SqueakIt-Experiments-RJG'!

!RootComponent class methodsFor: 'as yet unclassified' stamp: 'RonnieGarduno 1/29/2013 17:07'!
canBeRoot 
	^true! !

!RootComponent methodsFor: 'accessing' stamp: 'RonnieGarduno 1/29/2013 17:11'!
initialize 
	super initialize.
	title := 'Hello Internet!!'! !

!RootComponent methodsFor: 'rendering' stamp: 'RonnieGarduno 1/29/2013 17:41'!
renderContentOn: html
	html heading: title.
	html text: 'This will one day be a mighty website.'.
	html break.
	html text: html class.
	html break.! !

!RootComponent methodsFor: 'accessing' stamp: 'RonnieGarduno 1/28/2013 17:38'!
title
	^ title! !

!RootComponent methodsFor: 'accessing' stamp: 'RonnieGarduno 1/28/2013 17:38'!
title: anObject
	title := anObject! !

WAComponent subclass: #SIModuleComponent
	instanceVariableNames: 'title index connections objectives text video graphics interactives links'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SqueakIt'!

!SIModuleComponent methodsFor: 'accessing' stamp: 'RonnieGarduno 2/7/2013 11:20'!
connections
	^ connections! !

!SIModuleComponent methodsFor: 'accessing' stamp: 'RonnieGarduno 2/7/2013 11:20'!
connections: anObject
	connections := anObject! !

!SIModuleComponent methodsFor: 'accessing' stamp: 'RonnieGarduno 2/7/2013 11:20'!
graphics
	^ graphics! !

!SIModuleComponent methodsFor: 'accessing' stamp: 'RonnieGarduno 2/7/2013 11:20'!
graphics: anObject
	graphics := anObject! !

!SIModuleComponent methodsFor: 'accessing' stamp: 'RonnieGarduno 2/7/2013 11:20'!
index
	^ index! !

!SIModuleComponent methodsFor: 'accessing' stamp: 'RonnieGarduno 2/7/2013 11:20'!
index: anObject
	index := anObject! !

!SIModuleComponent methodsFor: 'initialization' stamp: 'RonnieGarduno 2/7/2013 16:12'!
initialize 
	super initialize.
	self
		title: 'Module 1';
		text: 'This is our text.';
		objectives: OrderedCollection new;
		links: OrderedCollection new;
		connections: OrderedCollection new.
	self links add: 'home' -> 'test1'; add: 'next' -> 'test2'.
	self objectives add: 'Learn Squeak';
					add: 'Learn Seaside';
					add: 'Write webpage'.
	self graphics: ((OrderedCollection new) add: 'http://seaside.st/styles/logo-plain.png'; yourself).
	self connections add: 'Home' -> []; add: 'Next' -> []; add: 'First' -> []; add: 'Last' -> [].! !

!SIModuleComponent methodsFor: 'accessing' stamp: 'RonnieGarduno 2/7/2013 11:20'!
interactives
	^ interactives! !

!SIModuleComponent methodsFor: 'accessing' stamp: 'RonnieGarduno 2/7/2013 11:20'!
interactives: anObject
	interactives := anObject! !

!SIModuleComponent methodsFor: 'accessing' stamp: 'RonnieGarduno 2/7/2013 11:20'!
links
	^ links! !

!SIModuleComponent methodsFor: 'accessing' stamp: 'RonnieGarduno 2/7/2013 11:20'!
links: anObject
	links := anObject! !

!SIModuleComponent methodsFor: 'accessing' stamp: 'RonnieGarduno 2/7/2013 11:20'!
objectives
	^ objectives! !

!SIModuleComponent methodsFor: 'accessing' stamp: 'RonnieGarduno 2/7/2013 11:20'!
objectives: anObject
	objectives := anObject! !

!SIModuleComponent methodsFor: 'rendering' stamp: 'RonnieGarduno 2/7/2013 16:53'!
renderContentOn: html
	html div
		class: 'title';
		with: [(html heading: self title level: 2)]. 
	html break.
	html div
		class: 'objectives';
		with:[
			html heading: 'Objectives:' level: 3.
			html unorderedList: [
				self objectives do: [:objective |
				html listItem: objective.
		]]].
	html break.
	html div
		class: 'text';
		with: [html text: self text].
	html break.
	self links do: [:link |
		html anchor onClick: (html javascript alert: (link value)); with: link key.
		html break.
		].
	self graphics do: [:image |
		html image url: image
		].
	html break.
	html div
		id: 'connections';
		with:[self connections do: [:connection | 
			html anchor onClick: (html javascript alert: (connection value)); with: connection key.
			html break.
			]].! !

!SIModuleComponent methodsFor: 'accessing' stamp: 'RonnieGarduno 2/7/2013 11:20'!
text
	^ text! !

!SIModuleComponent methodsFor: 'accessing' stamp: 'RonnieGarduno 2/7/2013 11:20'!
text: anObject
	text := anObject! !

!SIModuleComponent methodsFor: 'accessing' stamp: 'RonnieGarduno 2/7/2013 11:20'!
title
	^ title! !

!SIModuleComponent methodsFor: 'accessing' stamp: 'RonnieGarduno 2/7/2013 11:20'!
title: anObject
	title := anObject! !

!SIModuleComponent methodsFor: 'accessing' stamp: 'RonnieGarduno 2/7/2013 11:20'!
video
	^ video! !

!SIModuleComponent methodsFor: 'accessing' stamp: 'RonnieGarduno 2/7/2013 11:20'!
video: anObject
	video := anObject! !

WAComponent subclass: #SIRootComponent
	instanceVariableNames: 'moduleComponent'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SqueakIt'!

SIRootComponent subclass: #SIDialogComponent
	instanceVariableNames: 'msg video'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SqueakIt'!

!SIDialogComponent methodsFor: 'initialization' stamp: 'B.C. 2/2/2013 10:41'!
initialize
	super initialize.
	msg := 'None'! !

!SIDialogComponent methodsFor: 'accessing' stamp: 'B.C. 2/1/2013 08:20'!
msg
	^ msg! !

!SIDialogComponent methodsFor: 'accessing' stamp: 'B.C. 2/1/2013 08:20'!
msg: aString
	msg := aString! !

!SIDialogComponent methodsFor: 'rendering' stamp: 'RonnieGarduno 2/7/2013 16:46'!
renderContentOn: html
	html text: msg.
	html break.
	html break.
	
	html submitButton
		callback: [self answer true];
		text: 'Close'.! !

!SIDialogComponent methodsFor: 'accessing' stamp: 'B.C. 2/1/2013 09:01'!
video
	^ video! !

!SIDialogComponent methodsFor: 'accessing' stamp: 'B.C. 2/1/2013 09:01'!
video: anObject
	video := anObject! !

!SIRootComponent class methodsFor: 'as yet unclassified' stamp: 'RonnieGarduno 1/31/2013 18:20'!
canBeRoot 
	^true! !

!SIRootComponent class methodsFor: 'as yet unclassified' stamp: 'RonnieGarduno 2/9/2013 10:46'!
initialize
	(WAAdmin register: self asApplicationAt: 'SqueakIt')
       addLibrary: PTDeploymentLibrary;
       addLibrary: SUDeploymentLibrary;
       addLibrary: JQDevelopmentLibrary;
	 addLibrary: SILibrary.! !

!SIRootComponent methodsFor: 'as yet unclassified' stamp: 'RonnieGarduno 2/7/2013 11:23'!
initialize 
	super initialize.
	self moduleComponent: SIModuleComponent new.
! !

!SIRootComponent methodsFor: 'accessing' stamp: 'RonnieGarduno 2/7/2013 11:23'!
moduleComponent
	^ moduleComponent! !

!SIRootComponent methodsFor: 'accessing' stamp: 'RonnieGarduno 2/7/2013 11:23'!
moduleComponent: anObject
	moduleComponent := anObject! !

!SIRootComponent methodsFor: 'rendering' stamp: 'RonnieGarduno 2/7/2013 18:02'!
renderContentOn: html
	| dlg |
	dlg := SIDialogComponent new.
	
	html heading
		onClick: (html scriptaculous effect highlight  );
		with: 'Hello SqueakIt!!'.
	html text: 'This will be our website.'.
	
	html horizontalRule.
	html break.
	
	html div
		class: 'module';
		with: self moduleComponent.
	 
	html horizontalRule.
	html break.

	html popupAnchor
		callback: [ 
			dlg msg: 'Popup works'.
			self session presenter call: dlg];
		extent: 350@350;
		with: 'Test popup'.

	html break.
	html break.

	html anchor
		onClick: (html javascript alert: 'Testing alert');
		with:'Test alert'.

	html break.
	html break.

	html anchor
		onClick: (html javascript confirm: 'Testing confirm');
		with:'Test confirm'.

	html break.
	html break.

	html anchor
		onClick: (html javascript refresh);
		with:'Refresh'.
	html break.
	
	 html paragraph class: 'actions'; with: [
 	     #(show: hide: toggle: slideDown: slideUp: slideToggle: fadeIn: fadeOut: fadeToggle:) do: [ :selector |
  	       html anchor
   	         onClick: ((html jQuery: #seastar) 
    	           perform: selector
     	          with: 1 seconds);
      	      with: selector allButLast ] ].
	self renderSeastarOn: html! !

!SIRootComponent methodsFor: 'rendering' stamp: 'RonnieGarduno 2/9/2013 11:02'!
renderSeastarOn: html
 html paragraph id: 'seastar'; with: [
      html image
         altText: 'Seaside';
         url: 'http://seaside.st/styles/logo-plain.png']! !

!SIRootComponent methodsFor: 'as yet unclassified' stamp: 'RonnieGarduno 2/7/2013 16:04'!
style
	^'
	body {
		text-align: center;
    		text-shadow: 1px 1px 2px rgba(0,0,0,0.6);
		text-decoration: none;
		padding: 5px 10px;
		border-radius: 15px;
		border: 3px solid rgb(0,0,0);
		
		-webkit-background-size: cover;
		-moz-background-size: cover;
		-o-background-size: cover;
		background-size: cover;
		
		background-image: -ms-radial-gradient(center, ellipse farthest-corner, #FFFFFF 0%, #00A3EF 100%);
		background-image: -moz-radial-gradient(center, ellipse farthest-corner, #FFFFFF 0%, #00A3EF 100%);
		background-image: -o-radial-gradient(center, ellipse farthest-corner, #FFFFFF 0%, #00A3EF 100%);
		background-image: -webkit-gradient(radial, center center, 0, center center, 412, color-stop(0, #FFFFFF), color-stop(1, #00A3EF));
		background-image: -webkit-radial-gradient(center, ellipse farthest-corner, #FFFFFF 0%, #00A3EF 100%);

		background-image: radial-gradient(ellipse farthest-corner at center, #FFFFFF 0%, #00A3EF 100%);
		}'! !
SIRootComponent initialize!
